<!doctype html>
<html>

        <title>(EA)therpad</title>
    <script>
      /*
      |@licstart  The following is the entire license notice for the
      JavaScript code in this page.|

      Copyright 2011 Peter Martischka, Primary Technology.

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.

      |@licend  The above is the entire license notice
      for the JavaScript code in this page.|
      */
    </script>

        <meta charset="utf-8">
        <meta name="referrer" content="no-referrer">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0">
        <link rel="shortcut icon" href="favicon.ico">

        <link rel="localizations" type="application/l10n+json" href="locales.json">
        <script type="text/javascript" src="static/js/html10n.js"></script>
        <script type="text/javascript" src="static/js/l10n.js"></script>

        <style>
            html, body {
            }
            body {
              margin: 0;
              color: #333;
              font: 14px helvetica, sans-serif;
              background: url("fundo.png") no-repeat center center fixed; 
              -webkit-background-size: cover;
              -moz-background-size: cover;
              -o-background-size: cover;
              background-size: cover;
            }
            #wrapper {
              margin-top: 160px;
              padding: 15px;
            }
            #inner {
              position:relative;
              max-width: 300px;
              margin: 0 auto;
            }
            #button {
              margin: 0 auto;
              text-align: center;
              font: 36px verdana,arial,sans-serif;
              width:300px;
              border:none;
              color: white;
              text-shadow: 0 -1px 0 rgba(0,0,0,.8);
              height: 70px;
              line-height: 70px;
              background: #555;
              background: -webkit-linear-gradient(#5F5F5F,#565656 50%,#4C4C4C 51%,#373737);
              background: -moz-linear-gradient(#5F5F5F,#565656 50%,#4C4C4C 51%,#373737);
              background: -ms-linear-gradient(#5F5F5F,#565656 50%,#4C4C4C 51%,#373737);
              background: -o-linear-gradient(#5F5F5F,#565656 50%,#4C4C4C 51%,#373737);
              box-shadow: inset 0 1px 3px rgba(0,0,0,0.9);
            }
            #button:hover {
              cursor: pointer;
              background: #666;
              background: -webkit-linear-gradient(#707070,#666666 50%,#5B5B5B 51%,#474747);
              background: -moz-linear-gradient(#707070,#666666 50%,#5B5B5B 51%,#474747);
              background: -ms-linear-gradient(#707070,#666666 50%,#5B5B5B 51%,#474747);
              background: -o-linear-gradient(#707070,#666666 50%,#5B5B5B 51%,#474747);
            }
            #button:active {
              box-shadow: inset 0 1px 12px rgba(0,0,0,0.9);
              background: #444;
            }
            #label {
              color: white;
              text-align: left;
              text-shadow: 0 1px 1px black;
              margin: 16px auto 5px;
              display:block;
            }
            #padname{
              height:38px;
              max-width:280px;
            }
            form {
              height: 38px;
              background: #fff;
              border: 1px solid #bbb;
              border-radius: 3px;
              position: relative;
            }
            button, input {
              font-weight: bold;
              font-size: 15px;
            }
            input[type="text"] {
              border-radius: 3px;
              box-sizing: border-box;
              -moz-box-sizing: border-box;
              line-height:36px; /* IE8 hack */
              padding: 0px 45px 0 10px;
              *padding: 0; /* IE7 hack */
              width: 100%;
              height: 100%;
              outline: none;
              border: none;
              position: absolute;
            }
            button[type="submit"] {
              position: absolute;
              left:253px;
              width: 45px;
              height: 38px;
            }
            @media only screen and (min-device-width: 320px) and (max-device-width: 720px) {
              body {
                background: #bbb;
                background: -webkit-linear-gradient(#aaa,#eee 60%) center fixed;
                background: -moz-linear-gradient(#aaa,#eee 60%) center fixed;
                background: -ms-linear-gradient(#aaa,#eee 60%) center fixed;
              }
              #wrapper {
                margin-top: 0;
              }
              #inner {
                width: 95%;
              }
              #label {
                text-align: center;
              }
            }
        </style>
        <link href="static/custom/index.css" rel="stylesheet">

        <div id="wrapper">
        
            <div id="inner">
                <center><img src="bandeirinha.png" /></center>
                <!-- <button id="button" onclick="go2Random()" data-l10n-id="index.newPad"></button> -->
                <label id="label" for="padname">Criar/abrir um pad com o seguinte nome:</label>
                <form action="#" onsubmit="go2Name();return false;">
                    <input type="text" id="padname" maxlength="50" autofocus x-webkit-speech>
                    <button type="submit">OK</button>
                </form>
            </div>
        
        </div>

        <script src="static/custom/index.js"></script>
        <script>
            // @license magnet:?xt=urn:btih:8e4f440f4c65981c5bf93c76d35135ba5064d8b7&dn=apache-2.0.txt
            function go2Name()
            {
                var padname = document.getElementById("padname").value;
                padname.length > 0 ? window.location = "p/" + padname : alert("Please enter a name")
            }

            function go2Random()
            {
                window.location = "p/" + randomPadName();
            }

            function setRandomName() {
                document.getElementById("padname").value = randomPadName();
            }

            function randomPadName()
            {
                var chars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz-_";
                var string_length = 20;
                var randomstring = '';
                var randomarray = new Uint8Array(string_length);
                var cryptoObj = window.crypto || window.msCrypto; // for IE 11
                cryptoObj.getRandomValues(randomarray);
                for (var i = 0; i < string_length; i++)
                {
                    var rnum = Math.floor(randomarray[i]/4);
                    randomstring += chars.substring(rnum, rnum + 1);
                }
                return randomstring;
            }

            // start the custom js
            if (typeof customStart == "function") customStart();
            setRandomName();
            // @license-end
        </script>
        <div style="display:none"><a href="/javascript" data-jslicense="1">JavaScript license information</a></div>
</html>
